Taifa One. Docs
OpenAPI
Developers

API reference

Administration overview

Management API contract View .md

2 management API operations for Administration overview.

GET/v1/admin/overview

Platform Overview

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
cursorquerystring | nullNo
limitqueryintegerNoValidation: minimum 1; maximum 50

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/admin-overview

Institution Overview

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
cursorquerystring | nullNo
limitqueryintegerNoValidation: minimum 1; maximum 50

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section